Issue 124631 - Add language support for Tatar (tt)
Summary: Add language support for Tatar (tt)
Status: CLOSED FIXED
Alias: None
Product: Internationalization
Classification: Code
Component: i18npool (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.2.0
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-08 20:31 UTC by Andrea Pescetti
Modified: 2017-05-20 10:35 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments
locale data in Tatar (15.32 KB, text/xml)
2014-04-09 08:33 UTC, Irek Khaziev
no flags Details
locale data in Tatar (15.32 KB, application/xml)
2014-04-10 16:27 UTC, Irek Khaziev
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2014-04-08 20:31:04 UTC
OpenOffice does not support the Tatar (tt) language at the moment. See
http://markmail.org/message/dailblwom5qez4d2 for details.

The language should be added. Tatar (tt) localization volunteers should create a locale data file from http://www.it46.se/localegen/select_lang.php and attach it here. The site will show warnings; you can ignore them.
Comment 1 Irek Khaziev 2014-04-09 08:33:30 UTC
Created attachment 83147 [details]
locale data in Tatar

This is locale data in Tatar for [Apache-SVN]/openoffice/trunk/main/i18npool/source/localedata/data
Comment 2 SVN Robot 2014-04-10 14:17:55 UTC
"arielch" committed SVN revision 1586311 into trunk:
i124631 - Add locale data for Tatar (tt-RU)
Comment 3 SVN Robot 2014-04-10 14:18:02 UTC
"arielch" committed SVN revision 1586312 into trunk:
i124631 - Add locale data for Tatar (tt-RU)
Comment 4 Ariel Constenla-Haile 2014-04-10 14:20:40 UTC
(In reply to Irek Khaziev from comment #1)
> Created attachment 83147 [details]
> locale data in Tatar
> 
> This is locale data in Tatar for
> [Apache-SVN]/openoffice/trunk/main/i18npool/source/localedata/data

Thanks for your contribution!
The locale data file looks fine, the code compiles without errors, and the locale can be selected on the Options dialog, so I committed the code on trunk; please verify that all locale settings are working as expected with tonight's nightly builds from the build bots, you can find them tomorrow at http://ci.apache.org/projects/openoffice/ (files with install_arc on its name do not need installation, you just need to uncompress them), check that the revision must be >= revision 1586312
Comment 5 Irek Khaziev 2014-04-10 16:27:17 UTC
Created attachment 83163 [details]
locale data in Tatar

Sorry, I made a mistake.  Please update.
Comment 6 Ariel Constenla-Haile 2014-04-10 16:48:27 UTC
(In reply to Irek Khaziev from comment #5)
> Created attachment 83163 [details]
> locale data in Tatar
> 
> Sorry, I made a mistake.  Please update.

Done!
For further fixes, please download the version from http://svn.apache.org/viewvc/openoffice/trunk/main/i18npool/source/localedata/data/tt_RU.xml?view=log (it's indented and with some white spaces removed, so using this version makes things easier later)
Comment 7 SVN Robot 2014-04-10 16:59:08 UTC
"arielch" committed SVN revision 1586371 into trunk:
i124631 - Fix two DefaultFullName
Comment 8 Irek Khaziev 2014-08-22 19:32:39 UTC
Why not add Tatar to locale setting lang list in 4.1.1 ver.???
Comment 9 Andrea Pescetti 2014-08-23 18:52:18 UTC
In version 4.1.1 we only added language-related data for the three new languages that were to be released since they were complete in Pootle. In general, 4.1.1 is a bugfix release, so we don't put new features in it.

A periodic call is sent to the dev mailing list http://openoffice.apache.org/mailing-lists.html to nominate bugfixes for the next version; since this specific issue was not raised, the fix was not examined and ported. It will however be part of 4.2.0 (or whatever version comes after 4.1.x).